Subject: Re: CONFIG_PROVE_LOCKING broken on 83xx (and all of powerpc?)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 09 Sep 2010 12:58:16 +1000

On Wed, 2010-09-08 at 19:52 -0700, Ira W. Snyder wrote:
> 
> I will attempt to get the debugger to stop at start_kernel. I'm having
> trouble driving the JTAG debugger (a BDI2000). I have used Denx's
> guide
> [1] in the past, but the section on debugging the kernel itself is now
> missing.
> 
> [1] http://www.denx.de/wiki/view/DULG/DebuggingLinuxKernel
> 
> I'll keep trying. 

start_kernel might be too late...

You can also hack thing :-) Like in the asm, before machine_init(),
stick something in the DABR and put a HW breakpoint with the BDI2000 on
the Data Access exception handler to "catch" when it faults.

Ben.